# CacheableTask

@Documented
@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = [ElementType.TYPE])
annotation class CacheableTask

Attached to a task type to indicate that task output caching should be enabled by default for tasks of this type.

Only tasks that produce reproducible and relocatable output should be marked with `CacheableTask`.

Caching for individual task instances can be enabled and disabled via cacheIf or disabled via doNotCacheIf. Using these APIs takes precedence over the presence (or absence) of `@CacheableTask`.

#### Since

3.0

#### See also

DisableCachingByDefault

## Functions

annotationType
Link copied to clipboard
abstract fun annotationType(): Class<out Annotation>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
toString
Link copied to clipboard
abstract fun toString(): String